For the complete documentation index, see llms.txt. This page is also available as Markdown.

Lists all segments (based on params provided)

This endpoint retrieves a list of segments based on the provided query parameters, including pagination details.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves a list of segments based on the provided query parameters, including pagination details."

Lists all segments (based on params provided)

Lists all segments (based on params provided)

get

This endpoint retrieves a list of segments based on the provided query parameters, including pagination details.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Query parameters
pageTokenstringOptional

Page token used for pagination. Send this value in subsequent requests.

pageSizestring · int64 · max: 1000Optional

The number of cross sell categories you are requesting per page.

Default: 20
nameContainsstringOptional

Used to filter by a name containing provided phrase.

teamIdstringOptional

Used to filter by a specific team.

retailerTeamIdsstring[]Optional

Used to filter by specific retailer teams.

Responses
200

A list of segments and a pagination token.

application/json
nextPageTokenstringOptional

The page token for requesting the next page of the pagination. Should be used as "pageToken" in the request

totalCountstring · int64Optional

The total number of segments that match provided criteria.

get/v1/segments
GET /v1/segments HTTP/1.1
Host: customer.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "nextPageToken": "text",
  "segments": [
    {
      "category": [
        "text"
      ],
      "description": "text",
      "id": "text",
      "name": "text",
      "retailerTeamId": "text",
      "segmentId": "text",
      "sourceId": "text"
    }
  ],
  "totalCount": "text"
}